// $Id: UFL_lp_param.cpp,v 1.2 2003/12/03 01:46:35 magh Exp $

/* ------------------------------------------------------------------------
 Author: Matthew Galati (magh@lehigh.edu)

 (c) Copyright 2003 Lehigh University. All Rights Reserved.

 This software is licensed under the Common Public License. Please see 
 accompanying file for terms.    
---------------------------------------------------------------------------*/


/*-------------------------------------------------------------------------*/
#include "UFL_lp_param.hpp"
#include "BCP_parameters.hpp"

using std::make_pair;

template <>
void BCP_parameter_set<UFL_lp_par>::create_keyword_list() {
   // Create the list of keywords for parameter file reading
   //--------------------------------------------------------------------------
   // IntPar
   keys.push_back(make_pair(BCP_string("UFL_KnapsackCover"),
			    BCP_parameter(BCP_IntPar,
					  UFL_KnapsackCover)));
   keys.push_back(make_pair(BCP_string("UFL_LiftAndProject"),
			    BCP_parameter(BCP_IntPar,
					  UFL_LiftAndProject)));
   keys.push_back(make_pair(BCP_string("UFL_SimpleRounding"),
			    BCP_parameter(BCP_IntPar,
					  UFL_SimpleRounding)));
   keys.push_back(make_pair(BCP_string("UFL_OddHole"),
			    BCP_parameter(BCP_IntPar,
					  UFL_OddHole)));
   keys.push_back(make_pair(BCP_string("UFL_Gomory"),
			    BCP_parameter(BCP_IntPar,
					  UFL_Gomory)));
  //--------------------------------------------------------------------------
  // DoublePar
  keys.push_back(make_pair(BCP_string("UFL_tolerance"),
			   BCP_parameter(BCP_DoublePar,UFL_tolerance)));
   
}

/*-------------------------------------------------------------------------*/
template <>
void BCP_parameter_set<UFL_lp_par>::set_default_entries(){
  set_entry(UFL_tolerance,0.00001);
  set_entry(UFL_KnapsackCover,0);
  set_entry(UFL_LiftAndProject,0);
  set_entry(UFL_SimpleRounding,0);
  set_entry(UFL_OddHole,0);
  set_entry(UFL_Gomory,0);
}
