// $Id: UFL_init.cpp,v 1.2 2003/12/03 01:46:35 magh Exp $

/* ------------------------------------------------------------------------
 Author: Matthew Galati (magh@lehigh.edu)

 (c) Copyright 2003 Lehigh University. All Rights Reserved.

 This software is licensed under the Common Public License. Please see 
 accompanying file for terms.    
---------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------*/
#include "UFL_init.hpp"
#include "UFL_tm.hpp"
#include "UFL_lp.hpp"

/*-------------------------------------------------------------------------*/
USER_initialize * BCP_user_init(){
   return new UFL_init;
}

/*-------------------------------------------------------------------------*/
BCP_lp_user *
UFL_init::lp_init(BCP_lp_prob& p){
   return new UFL_lp;
}

/*-------------------------------------------------------------------------*/
BCP_tm_user *
UFL_init::tm_init(BCP_tm_prob& p,
		  const int argnum, 
		  const char * const * arglist){
   UFL_tm* tm = new UFL_tm;   
   tm->tm_par.read_from_arglist(argnum,arglist);
   tm->lp_par.read_from_arglist(argnum,arglist);
   return tm;
}
