// $Id: UFL_cut.hpp,v 1.2 2003/12/03 01:46:35 magh Exp $

/* ------------------------------------------------------------------------
 Author: Matthew Galati (magh@lehigh.edu)

 (c) Copyright 2003 Lehigh University. All Rights Reserved.

 This software is licensed under the Common Public License. Please see 
 accompanying file for terms.    
---------------------------------------------------------------------------*/

#ifndef _UFL_CUT_H
#define _UFL_CUT_H

#include "BCP_cut.hpp"
#include "BCP_buffer.hpp"

const double infinity_ = 1e31;
/*---------------------------------------------------------------------*/
class UFL_cut : public BCP_cut_algo{

public:
  UFL_cut(int ii, int jj):
    BCP_cut_algo(-1.0 * infinity_, 0.0), i(ii), j(jj) {
  }
  UFL_cut(BCP_buffer& buf):
    BCP_cut_algo(-1.0 * infinity_, 0.0), i(0), j(0) {
    buf.unpack(i).unpack(j);
  }
  ~UFL_cut(){}
  inline void pack(BCP_buffer& buf) const {
    buf.pack(i).pack(j);
  };

public:
  int i,j;

};

#endif
